Page MenuHomeFreeBSD

Update lang/pypy(3) to 5.10 and add FLAVORS to ancillary ports
ClosedPublic

Authored by dbn on Dec 29 2017, 9:51 AM.

Details

Summary

lang/pypy(3): update to 5.10, add flavors to ancillary ports

  • Consistently use DISTVERSION instead of PORTVERSION (the former is set, not the latter)
  • Only depend on libunwind on x86 arch with FreeBSD >= 11 (fixes ignored build on arm/ppc)
  • Fix python dependency with depreciation of meta ports
  • Remove PYPY_BITS from pkg-plist target, no longer used
  • Remove setting of PORTVERSION, DISTVERSION is set in bsd.pypy.mk
  • bsd.pypy.mk:
    • Define DISTVERSION once, to ensure consistency
    • PYPY_DIR: Handle versions with multiple digits
    • PYPY_CFFI_VER now differs in value between pypy and pypy3
  • bsd.pypy.cffi.mk:
    • Add FLAVORS for pypy and pypy3
    • Consistently use PYTHON_IMPL instead of the hard coded "pypy"
    • PLIST_FILES: use direct substitution instead of PLIST_SUB
Test Plan
  • Poudriere Tier 1:
    • FreeBSD 10.3 i386
    • FreeBSD 11.1 i386
    • FreeBSD 12 i386
    • FreeBSD 11.1 amd64
  • Self-host pypy
  • Poudriere Tier 2: (non-blocker)
    • FreeBSD 11.1 armv6: http://bit.ly/2BRE5D3
    • FreeBSD 11.1 armv7: not tested
    • FreeBSD 11.1 ppc: jail stalled while starting

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

dbn created this revision.Dec 29 2017, 9:51 AM
mat accepted this revision as: portmgr.Jan 2 2018, 2:55 PM
This revision was not accepted when it landed; it landed in state Needs Review.Jan 3 2018, 6:42 PM
This revision was automatically updated to reflect the committed changes.
dbn added a comment.Jan 3 2018, 6:48 PM

Thanks for the review @mat